<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1,shrink-to-fit=no">
    <title>Cadastro</title>
    <style>
      #loader {
        transition: all 0.3s ease-in-out;
        opacity: 1;
        visibility: visible;
        position: fixed;
        height: 100vh;
        width: 100%;
        background: #fff;
        z-index: 90000;
      }

      #loader.fadeOut {
        opacity: 0;
        visibility: hidden;
      }

      .spinner {
        width: 40px;
        height: 40px;
        position: absolute;
        top: calc(50% - 20px);
        left: calc(50% - 20px);
        background-color: #333;
        border-radius: 100%;
        -webkit-animation: sk-scaleout 1.0s infinite ease-in-out;
        animation: sk-scaleout 1.0s infinite ease-in-out;
      }

      @-webkit-keyframes sk-scaleout {
        0% { -webkit-transform: scale(0) }
        100% {
          -webkit-transform: scale(1.0);
          opacity: 0;
        }
      }

      @keyframes sk-scaleout {
        0% {
          -webkit-transform: scale(0);
          transform: scale(0);
        } 100% {
          -webkit-transform: scale(1.0);
          transform: scale(1.0);
          opacity: 0;
        }
      }
    </style>
  <script defer="defer" src="/static/dashboard/js/main.js"></script>
  <link href="/static/dashboard/css/style.css" rel="stylesheet">
</head>
  <body class="app">
    <div id="loader">
      <div class="spinner"></div>
    </div>

    <script>
      window.addEventListener('load', function load() {
        const loader = document.getElementById('loader');
        setTimeout(function() {
          loader.classList.add('fadeOut');
        }, 300);
      });
    </script>
    <div class="peers ai-s fxw-nw h-100vh">
      <div class="peer peer-greed h-100 pos-r bgr-n bgpX-c bgpY-c bgsz-cv" style='background-image: url("/static/dashboard/images/lua.jpg")'>
        <div class="pos-a centerXY">
          <div class="bgc-white bdrs-50p pos-r" style="width: 120px; height: 120px;">
            <img class="pos-a centerXY" src="/static/dashboard/images/sedeseteste.png" alt="">
          </div>
        </div>
      </div>
      <div class="col-12 col-md-4 peer pX-40 pY-80 h-100 bgc-white scrollable pos-r" style="min-width: 320px;">
        <h4 class="fw-300 c-grey-900 mB-40">Cadastrar usuário</h4>
        <div class="mb-3">
          <span class="text-success">{{flash}}</span>
        </div>
        <form method="post" action="/dashboard/auth/signup">
          <div class="mb-3">
            <label class="form-label" class="text-normal text-dark">Usuário</label>
            <input type="text" name="nome" class="form-control" placeholder="Nome" required value={{form.nome}}>
            <span class="text-danger">{{form_errors.nome}}</span>
          </div>
          <div class="mb-3">
            <label class="form-label" class="text-normal text-dark">CPF</label>
            <input type="text" name="cpf" class="form-control" placeholder="111.111.111-11" required value={{form.cpf}}>
            <span class="text-danger">{{form_errors.cpf}}</span>
          </div>
          <div class="mb-3">
            <label class="form-label" class="text-normal text-dark">Email</label>
            <input type="email" name="email" class="form-control" placeholder="nome@email.com" required value={{form.email}}>
            <span class="text-danger">{{form_errors.email}}</span> 
          </div>
          <div class="mb-3">
            <label class="form-label" class="text-normal text-dark">Senha</label>
            <input type="password" name="senha" class="form-control" placeholder="senha" required value={{form.senha}}>
            <span class="text-danger">{{form_errors.senha}}</span>
          </div>
          <div class="mb-3">
            <label class="form-label" class="text-normal text-dark">Confirme senha</label>
            <input type="password" name="conferesenha" class="form-control" placeholder="senha" required value={{form.conferesenha}}>
            <span class="text-danger">{{form_errors.conferesenha}}</span>
          </div>
          <div class="mb-3">
            <span class="text-danger">{{msg_error}}</span>
          </div>
          <div class="mb-3">
            <button class="btn btn-primary btn-color">Cadastrar</button>
          </div>
        </form>
      </div>
    </div>

  </body>
</html>
